      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCBDV                                     **
      **                                                              **
      **  DESCRIPTION:    MQCBD Structure -- Callback Data            **
      **                  Descriptor                                  **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2020"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2020 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCBD,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  19/04/24 13:24                                **
      ** Build Level:   p920-025-240419                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQCBDV                                                      **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCBD structure
       10  MQCBD.
      ** Structure identifier
       15  MQCBD-STRUCID PIC X(4) VALUE 'CBD '.
      ** Structure version number
       15  MQCBD-VERSION PIC S9(9) BINARY VALUE 1.
      ** Callback function type
       15  MQCBD-CALLBACKTYPE PIC S9(9) BINARY VALUE 1.
      ** Options controlling message consumption
       15  MQCBD-OPTIONS PIC S9(9) BINARY VALUE 0.
      ** User data passed to the function
       15  MQCBD-CALLBACKAREA POINTER VALUE NULL.
      ** Callback function pointer
       15  MQCBD-CALLBACKFUNCTION POINTER VALUE NULL.
      ** Callback name
       15  MQCBD-CALLBACKNAME PIC X(128) VALUE SPACES.
      ** Maximum message length
       15  MQCBD-MAXMSGLENGTH PIC S9(9) BINARY VALUE -1.


      ******************************************************************
      **  End of CMQCBDV                                              **
      ******************************************************************
